CALIBRE-SERVER(1)

NAME
calibre-server - calibre-server

calibre-server [alternativ] [sökväg till biblioteket mapp...]

Starta calibre Innehållsserver. calibre Innehållsservern exponerar dina calibre-bibliotek över internet. Du kan ange sökvägen till biblioteksmappar som argument till calibre-server. Om du inte anger några vägar, kommer alla biblioteken som i calibre- huvudprogrammet känner till att användas.

När du skickar argument till calibre-server som har blanksteg i dem, bifoga argumenten i citattecken. Till exempel: "/some path/with spaces"

[ALTERNATIV]

--access-log
    Sökväg till tillgångs loggfil. Denna loggfil innehåller information om klienter som ansluter till servern och gör efterfrågningar. Som standard görs ingen åtkomstloggning.

--ajax-timeout
    Tid (i sekunder) att vänta på ett svar från servern när förfrågningar görs.

--auth-mode
    Välj typen av autentisering att användas. Ställ in HTTP-autentiseringsläge som används av servern. Ställ in på "grundläggande" om du sätter denna server bakom en SSL-proxy. Annars lämna den som "auto", som kommer att använda "grundläggande" om SSL är konfigurerad annars kommer "nedbrytning" att användas.

--auto-reload
    Starta automatiskt om servern när källkoden ändras. Användbar för utveckling. Du bör också ange ett lågt värde för stänga av tidsbegränsning.

--ban-after
    Antal misslyckande inloggningsförsök för bannlysning. Antal misslyckade inloggningsförsök varefter en IP-adress är bannlyst

--ban-for
    Bannlys IP-adresser som har upprepade misslyckade inloggningsförsök. Bannlyser tillfälligt åtkomst för IP-adresser som har upprepade misslyckade inloggningsförsök för det angivna antalet minuter. Användbar för att förhindra försök att gissa lösenord. Om den är nollställd, görs ingen bannlysning.

--book-list-mode
    Choose the default book list mode. Set the default book list mode that will be used for new users. Individual users can override the default in their own settings. The default is to use a cover grid.

--compress-min-size
    Minsta storlek för svar att använda vid datakomprimering (i bytes).

--custom-list-template
    Sökvägen till en JSON-fil som innehåller en mall för det anpassade boklistsläget. Det enklaste sättet att skapa en sådan mallfil är att gå till Inställningar->Dela via nätet->Mall för boklista i calibre, skapa mallen och exportera den.

--daemonize
    Kör process i bakgrunden som en demon (endast Linux).

--displayed-fields
    Begränsa användardefinieradefält som ska visas. Kommaseparerad lista med användardefinierade metadatafält som ska visas av Innehållsservern i /opds- och /mobila-vyer. Om du anger det här alternativet, kommer alla fält som inte finns i denna lista inte att visas. Till exempel: my_rating,my_tags

--enable-allow-socket-preallocation, --disable-allow-socket-preallocation
    Förallokering av socket-anslutning, till exempel med systemd socket aktivering. Som standard är detta alternativ aktiverat.

--enable-auth, --disable-auth
    Lösenordsbaserad autentisering för att komma åt servern. Normalt är servern obegränsad, så att alla kan få tillgång till den. Du kan begränsa åtkomsten till fördefinierade användare med det här alternativet. Som standard är detta alternativ inaktiverat.

--enable-fallback-to-detected-interface, --disable-fallback-to-detected-interface
    Återgång till att automatiskt upptäcka gränssnitt. Om av någon anledning servern inte kan binda till gränssnittet som anges i listen_on alternativet, så kommer det att försöka identifiera ett gränssnitt som ansluter till omvärlden och binda till det. Som standard är detta alternativ aktiverat.

--enable-local-write, --disable-local-write
    Tillåt inte autentiserade lokala anslutningar att göra ändringar. Normalt, om du inte aktiverar autentisering, fungerar servern i läsläge, så att inte anonyma användare kan göra ändringar i dina calibre-bibliotek. Med det här alternativet kan alla ansluta från samma dator som servern körs för att göra ändringar. Det här är användbart om du vill köra servern utan autentisering, men använd fortfarande calibredb för att göra ändringar i dina calibre-bibliotek. Observera att om du aktiverar det här alternativet innebär det att ett program som körs på datorn kan göra ändringar i dina calibre-bibliotek. Som standard är detta alternativ inaktiverat.

--enable-log-not-found, --disable-log-not-found
    Logga HTTP 404 (Inte hittad) förfrågningar. Normalt loggar servern alla HTTP-förfrågningar för resurser som inte finns. Detta kan generera en hel del skräploggar, om din server är inriktad från robotar. Använd detta alternativ för att stänga av dem. Som standard är detta alternativ aktiverat.

--enable-use-bonjour, --disable-use-bonjour
    Annonsera OPDS-flöden via BonJour. Annonsera OPDS-flöden via BonJour-tjänsten så att OPDS-baserade läsappar kan upptäcka och ansluta till servern automatiskt. Som standard är detta alternativ aktiverat.

--enable-use-sendfile, --disable-use-sendfile
    Noll-kopieringsfilöverföringar för ökad prestanda. Detta kommer att använda noll-kopiering för överföringar i kärnan när du skickar filer via nätverket, vilket ökar prestanda. Det kan dock leda till skadade filöverföringar på några trasiga filsystem. Om du upplever skadade filöverföringar, stänga av den. Som standard är detta alternativ aktiverat.

--help, -h
    visa denna hjälptext och avsluta

--ignored-fields
    Ignorera användardefinierade metadatafält. Kommaseparerad lista med användardefinierade metadatafält som inte kommer att visas av Innehållsservern i /opds- och /mobila-vyer. Till exempel: my_rating,my_tags

--listen-on
    Gränssnittet för att lyssna efter anslutningar. Standardinställningen är att lyssna på alla tillgängliga gränssnitt. Du kan ändra detta med till exempel, "127.0.0.1" som bara lyssnar efter anslutningar från den lokala datorn, eller att "::" för att lyssna på alla inkommande IPv6 och IPv4-anslutningar.

--log
    Sökväg till loggfil för servern. Denna loggfil innehåller serverinformation och fel, inte åtkomstloggar. Som standard skrivs den till stdout.

--manage-users
    Hantera databasen av användare tillåtna att ansluta till denna server. Se också alternativet --userdb.

--max-header-line-size
    Största storlek på enskild HTTP-rubrik (i KB).

--max-job-time
    Längsta tid för arbetarprocesser. Högsta tiden arbetsprocesser tillåts att köra (i minuter). Sätt till noll för ingen tidsbegränsning.

--max-jobs
    Högsta antal arbetarprocesser. Arbetsprocesser lanseras allt efter de behövs och används för stora jobb som förbereder en bok för visning, läggs till för böcker, konvertering, o.s.v. Normalt, är högsta antal sådana processer baserad på antalet CPU-kärnor. Du kan anpassa den med den här inställningen.

--max-log-size
    Största loggfilstorlek (i MB). Största storlek på loggfiler som genereras av servern. När loggfilen blir större än denna storlek roteras den automatiskt. Satt till noll för att inaktivera loggrotation.

--max-opds-items
    Högsta antal böcker i OPDS-flöden. Högsta antal böcker som servern kommer att återvända i ett enda OPDS-anskaffningsflöde.

--max-opds-ungrouped-items
    Högsta antal ogrupperade objekt i OPDS-flöden. Gruppera objekt i kategorier som författare/etiketter från första bokstaven när det finns mer än detta antal objekt. Använd noll för att inaktivera.

--max-request-body-size
    Största tillåtna storlek för sända filer till servern (i MB).

--num-per-page
    Antal böcker att visa på en enskild sida. Antalet böcker som ska visas på en enda sida i webbläsaren.

--pidfile
    Skriv process-PID till angiven fil

--port
    Port att lyssna på för anslutningar.

--search-the-net-urls
    Sökväg till en JSON-fil som innehåller webbadresser för funktionen "Sök på internet". Det enklaste sättet att skapa en sådan fil är att gå till Inställningar->Dela via nätet->Sök på internet i calibre, skapa webbadresserna och exportera dem.

--shutdown-timeout
    Total tid i sekunder att vänta för välutförd avstängning.

--ssl-certfile
    Sökväg till SSL-certifikatfilen.

--ssl-keyfile
    Sökväg till privata SSL-nyckelfilen.

--timeout
    Tid (i sekunder) efter en inaktiv anslutning stängs.

--url-prefix
    Ett prefix att lägga till i början av alla webbadresser. Användbart om du vill köra den här servern bakom en reverse proxy. Till exempel använd /calibre som URL-prefix.

--userdb
    Sökväg till användardatabasen att använda för autentisering. Databasen är en SQLite-fil. För att skapa den använder du --manage-users. Du kan läsa mer om hantering av användare på: https://manual.calibre-ebook.com/sv/server.html#managing-user-accounts-from-the-command-line-only

--version
    visar programmets versionsnummer och avsluta

--worker-count
    Antal arbetstrådar som används för att behandla förfrågningar.

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal